//------------------------------------------------------------------------------
// Lamp : Open source game middleware
// Copyright (C) 2004  Junpei Ohtani ( Email : junpee@users.sourceforge.jp )
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

/** @file
 * コーン交差テスト実装
 * @author Junpee
 */

#include "Test/stdafx.h"
#include "Geometry/Intersection/ConeIntersectionTest.h"

//------------------------------------------------------------------------------
// コンストラクタ
ConeIntersectionTest::ConeIntersectionTest(String name) :
	TestCase(name){
}
//------------------------------------------------------------------------------
// テストスィートの取得
Test* ConeIntersectionTest::suite(){
	TestSuite* suite = new TestSuite("ConeIntersectionTest");
	suite->addTest(new TestCaller(ConeIntersectionTest, testPoint));
	suite->addTest(new TestCaller(ConeIntersectionTest, testCone));
	suite->addTest(new TestCaller(ConeIntersectionTest, testLine));
	suite->addTest(new TestCaller(ConeIntersectionTest, testOrientedBox));
	suite->addTest(new TestCaller(ConeIntersectionTest, testPlane));
	suite->addTest(new TestCaller(ConeIntersectionTest, testRay));
	suite->addTest(new TestCaller(ConeIntersectionTest, testSegment));
	suite->addTest(new TestCaller(ConeIntersectionTest, testSphere));
	suite->addTest(new TestCaller(ConeIntersectionTest, testTriangle));
	return suite;
}
//------------------------------------------------------------------------------
// 点テスト
void ConeIntersectionTest::testPoint(){
}
//------------------------------------------------------------------------------
// コーンテスト
void ConeIntersectionTest::testCone(){
}
//------------------------------------------------------------------------------
// ラインテスト
void ConeIntersectionTest::testLine(){
}
//------------------------------------------------------------------------------
// 指向性ボックステスト
void ConeIntersectionTest::testOrientedBox(){
}
//------------------------------------------------------------------------------
// 平面テスト
void ConeIntersectionTest::testPlane(){
}
//------------------------------------------------------------------------------
// レイテスト
void ConeIntersectionTest::testRay(){
}
//------------------------------------------------------------------------------
// セグメントテスト
void ConeIntersectionTest::testSegment(){
}
//------------------------------------------------------------------------------
// 球テスト
void ConeIntersectionTest::testSphere(){
}
//------------------------------------------------------------------------------
// 三角テスト
void ConeIntersectionTest::testTriangle(){
}
//------------------------------------------------------------------------------
